[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#377197: tetex-bin: postinst failure - invalid option to update-alternatives

Package: tetex-bin
Version: 3.0-17
Severity: serious
Justification: 6

tetex-bin.postinst uses an invalid option --remove-all to update-alternatives,
which causes the script to fail:

  Setting up tetex-bin (3.0-17) ...
  update-alternatives: unknown argument `--remove-all'

  dpkg: error processing tetex-bin (--configure):

dpkg version is 1.13.22

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)

Versions of packages tetex-bin depends on:
ii  debconf [debconf-2.0]     1.5.2          Debian configuration management sy
ii  debianutils               2.16.2         Miscellaneous utilities specific t
ii  dialog                    1.0-20060221-1 Displays user-friendly dialog boxe
ii  dpkg                      1.13.22        package maintenance system for Deb
ii  ed                        0.2-20         The classic unix line editor
ii  libc6                     2.3.6-15       GNU C Library: Shared libraries
ii  libfontconfig1            2.3.2-7        generic font configuration library
ii  libfreetype6              2.2.1-2        FreeType 2 font engine, shared lib
ii  libgcc1                   1:4.1.1-7      GCC support library
ii  libice6                   1:1.0.0-3      X11 Inter-Client Exchange library
ii  libjpeg62                 6b-13          The Independent JPEG Group's JPEG 
ii  libkpathsea4              3.0-17         path search library for teTeX (run
ii  libpaper1                 1.1.19         Library for handling paper charact
ii  libpng12-0                1.2.8rel-5.1   PNG library - runtime
ii  libpoppler0c2             0.4.5-4.1      PDF rendering library
ii  libsm6                    1:1.0.0-4      X11 Session Management library
ii  libstdc++6                4.1.1-7        The GNU Standard C++ Library v3
ii  libt1-5                   5.1.0-2        Type 1 font rasterizer library - r
ii  libx11-6                  2:1.0.0-7      X11 client-side library
ii  libxaw7                   1:1.0.1-5      X11 Athena Widget library
ii  libxext6                  1:1.0.0-4      X11 miscellaneous extension librar
ii  libxmu6                   1:1.0.1-3      X11 miscellaneous utility library
ii  libxpm4                   1:    X11 pixmap library
ii  libxt6                    1:1.0.0-5      X11 toolkit intrinsics library
ii  mime-support              3.36-1         MIME files 'mime.types' & 'mailcap
ii  perl                      5.8.8-6        Larry Wall's Practical Extraction 
ii  sed                       4.1.5-1        The GNU sed stream editor
ii  tetex-base                3.0-18         Basic library files of teTeX
ii  ucf                       2.0012         Update Configuration File: preserv
ii  whiptail                  0.52.2-5       Displays user-friendly dialog boxe
ii  zlib1g                    1:1.2.3-12     compression library - runtime

Versions of packages tetex-bin recommends:
ii  libxml-parser-perl           2.34-4      Perl module for parsing XML files
ii  perl-tk                      1:804.027-5 Perl module providing the Tk graph
ii  psutils                      1.17-23     A collection of PostScript documen

Versions of packages tetex-base depends on:
ii  tex-common                    0.23       Common infrastructure for using an
ii  ucf                           2.0012     Update Configuration File: preserv

Versions of packages tetex-extra depends on:
ii  tetex-base                    3.0-18     Basic library files of teTeX
ii  ucf                           2.0012     Update Configuration File: preserv

-- debconf information:
  tetex-base/olddat: true

Reply to: